<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:th='http://www.thymeleaf.org'>
<head>
    <title>Invoice</title>

    <style>
        .error {
            color: red;
        }
    </style>
</head>
<body>
<h3 class="error" th:if='${error}' th:text='${error}'></h3>
<div th:unless="${error}">
    <h2>Customer: <span th:text='${customer}' /></h2>
    <div style="margin-top: 20px">
        <h2>Invoices</h2>
    </div>

    <form action="#" th:action="@{/invoice}" method="get">
        <div>
            <label for="invoiceId">Invoice id</label>
            <input type="text" id="invoiceId" name="id">
        </div>
        <div style="margin-top: 20px">
            <input type="submit" value="Search invoice">
        </div>
    </form>

    <form action="#" th:action="@{/invoices}" method="get">
        <div style="margin-top: 20px">
            <input type="submit" value="Show invoices">
        </div>
    </form>

    <table th:if="${invoices}">
        <thead>
        <tr>
            <th>id</th>
            <th>customer</th>
            <th>amountRemaining</th>
            <th>operations</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="invoice : ${invoices}">
            <td th:text="${invoice.id}"></td>
            <td th:text="${invoice.customer}"></td>
            <td th:text="${invoice.amountRemaining*0.01}"></td>
            <td>
                <a th:unless="${invoice.invoicePdf}" th:href="@{/invoice/finalize/{id}(id=${invoice.id})}">Finalize invoice</a>
                <a th:if="${invoice.invoicePdf}" th:href="${invoice.invoicePdf}">Download PDF</a>
            </td>
        </tr>
        </tbody>
    </table>

    <form action="#" th:action="@{/}" method="get">
        <div style="margin-top: 20px">
            <input type="submit" value="Show invoice items">
        </div>
    </form>
</div>
</body>
</html>